
Foreman - Bug #5782

pxelinux.cfg entry not updated when changing provisioning template

05/19/2014 08:18 AM - Jorick Astrego

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I just changed my provisioning template but the pxelinux.cfg of the hosts that use this provisioning template don't get updated.

After changing the Operating System to something different (ie Centos), saving and changing it back to the OS i want will trigger a

fresh pxelinux.cfg.

Related issues:

Is duplicate of Foreman - Feature #2267: Need rake task and/or UI button for ... Closed 03/01/2013

History

#1 - 05/19/2014 08:32 AM - Dominic Cleal

- Is duplicate of Feature #2267: Need rake task and/or UI button for rebuilding all host tftp config files added

#2 - 05/19/2014 08:32 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, we're tracking this under #2267.  Another way you can refresh the TFTP menu is to turn the build mode off then on again using

the Cancel Build button on the host page.
